// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#ifndef GOOEY_NO_NESTED_TEMPLATES

template<typename T, template<typename> class Wrapper>
inline void
Archive::serialize(Wrapper<T>& anObject asSmartPointer)
{
    T* tmpObject;

    if(isReading())
    {        
        serialize(resolveType(tmpObject));
        anObject = tmpObject;
    }
    else
    {
        T* tmpObject = anObject;
        serialize(resolveType(tmpObject));
    }
}

#endif
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
